## UDisksSwapspace UDisksSwapspace — Generated C code for the org.freedesktop.UDisks2.Swapspace D-Bus interface |

## Functions

GDBusInterfaceInfo * | udisks_swapspace_interface_info ()
guint | udisks_swapspace_override_properties ()
void | udisks_swapspace_call_start ()
gboolean | udisks_swapspace_call_start_finish ()
gboolean | udisks_swapspace_call_start_sync ()
void | udisks_swapspace_complete_start ()
void | udisks_swapspace_call_stop ()
gboolean | udisks_swapspace_call_stop_finish ()
gboolean | udisks_swapspace_call_stop_sync ()
void | udisks_swapspace_complete_stop ()
void | udisks_swapspace_call_set_label ()
gboolean | udisks_swapspace_call_set_label_finish ()
gboolean | udisks_swapspace_call_set_label_sync ()
void | udisks_swapspace_complete_set_label ()
gboolean | udisks_swapspace_get_active ()
void | udisks_swapspace_set_active ()
void | udisks_swapspace_proxy_new ()
UDisksSwapspace * | udisks_swapspace_proxy_new_finish ()
UDisksSwapspace * | udisks_swapspace_proxy_new_sync ()
void | udisks_swapspace_proxy_new_for_bus ()
UDisksSwapspace * | udisks_swapspace_proxy_new_for_bus_finish ()
UDisksSwapspace * | udisks_swapspace_proxy_new_for_bus_sync ()
UDisksSwapspace * | udisks_swapspace_skeleton_new ()

## Properties

gboolean | active | Read / Write

## Signals

gboolean | handle-set-label | Run Last
gboolean | handle-start | Run Last
gboolean | handle-stop | Run Last

## Types and Values

| UDisksSwapspace
struct | UDisksSwapspaceIface
struct | UDisksSwapspaceProxy
struct | UDisksSwapspaceProxyClass
struct | UDisksSwapspaceSkeleton
struct | UDisksSwapspaceSkeletonClass

## Object Hierarchy

        GInterface
        ╰── UDisksSwapspace
        GObject
        ├── GDBusInterfaceSkeleton
        │   ╰── UDisksSwapspaceSkeleton
        │       ╰── UDisksLinuxSwapspace
        ╰── GDBusProxy
            ╰── UDisksSwapspaceProxy

## Prerequisites

UDisksSwapspace requires GObject.

## Implemented Interfaces

UDisksSwapspaceProxy implements GDBusInterface, GInitable, GAsyncInitable and UDisksSwapspace.

UDisksSwapspaceSkeleton implements GDBusInterface and UDisksSwapspace.

## Known Implementations

UDisksSwapspace is implemented by UDisksLinuxSwapspace, UDisksSwapspaceProxy and UDisksSwapspaceSkeleton.

## Description

This section contains code for working with the org.freedesktop.UDisks2.Swapspace D-Bus interface in C.

## Functions

### udisks_swapspace_interface_info ()

    GDBusInterfaceInfo *
    udisks_swapspace_interface_info (void);

Gets a machine-readable description of the org.freedesktop.UDisks2.Swapspace D-Bus interface.

#### Returns

A GDBusInterfaceInfo. Do not free.

[transfer none]

### udisks_swapspace_override_properties ()

    guint
    udisks_swapspace_override_properties (GObjectClass *klass,
                                          guint property_id_begin);

Overrides all GObject properties in the UDisksSwapspace interface for a concrete class. The properties are overridden in the order they are defined.

#### Parameters

klass | The class structure for a GObject derived class. |
property_id_begin | The property id to assign to the first overridden property. |

#### Returns

The last property id.

### udisks_swapspace_call_start ()

    void
    udisks_swapspace_call_start (UDisksSwapspace *proxy,
                                 GVariant *arg_options,
                                 GCancellable *cancellable,
                                 GAsyncReadyCallback callback,
                                 gpointer user_data);

Asynchronously invokes the `Start()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `udisks_swapspace_call_start_finish()` to get the result of the operation.

See `udisks_swapspace_call_start_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A UDisksSwapspaceProxy. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

### udisks_swapspace_call_start_finish ()

    gboolean
    udisks_swapspace_call_start_finish (UDisksSwapspace *proxy,
                                        GAsyncResult *res,
                                        GError **error);

Finishes an operation started with `udisks_swapspace_call_start()`.

#### Parameters

proxy | A UDisksSwapspaceProxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_swapspace_call_start()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### udisks_swapspace_call_start_sync ()

    gboolean
    udisks_swapspace_call_start_sync (UDisksSwapspace *proxy,
                                      GVariant *arg_options,
                                      GCancellable *cancellable,
                                      GError **error);

Synchronously invokes the `Start()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `udisks_swapspace_call_start()` for the asynchronous version of this method.

#### Parameters

proxy | A UDisksSwapspaceProxy. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### udisks_swapspace_complete_start ()

    void
    udisks_swapspace_complete_start (UDisksSwapspace *object,
                                     GDBusMethodInvocation *invocation);

Helper function used in service implementations to finish handling invocations of the `Start()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A UDisksSwapspace. |
invocation | A GDBusMethodInvocation. | [transfer full]

### udisks_swapspace_call_stop ()

    void
    udisks_swapspace_call_stop (UDisksSwapspace *proxy,
                                GVariant *arg_options,
                                GCancellable *cancellable,
                                GAsyncReadyCallback callback,
                                gpointer user_data);

Asynchronously invokes the `Stop()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `udisks_swapspace_call_stop_finish()` to get the result of the operation.

See `udisks_swapspace_call_stop_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A UDisksSwapspaceProxy. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

### udisks_swapspace_call_stop_finish ()

    gboolean
    udisks_swapspace_call_stop_finish (UDisksSwapspace *proxy,
                                       GAsyncResult *res,
                                       GError **error);

Finishes an operation started with `udisks_swapspace_call_stop()`.

#### Parameters

proxy | A UDisksSwapspaceProxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_swapspace_call_stop()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### udisks_swapspace_call_stop_sync ()

    gboolean
    udisks_swapspace_call_stop_sync (UDisksSwapspace *proxy,
                                     GVariant *arg_options,
                                     GCancellable *cancellable,
                                     GError **error);

Synchronously invokes the `Stop()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `udisks_swapspace_call_stop()` for the asynchronous version of this method.

#### Parameters

proxy | A UDisksSwapspaceProxy. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### udisks_swapspace_complete_stop ()

    void
    udisks_swapspace_complete_stop (UDisksSwapspace *object,
                                    GDBusMethodInvocation *invocation);

Helper function used in service implementations to finish handling invocations of the `Stop()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A UDisksSwapspace. |
invocation | A GDBusMethodInvocation. | [transfer full]

### udisks_swapspace_call_set_label ()

    void
    udisks_swapspace_call_set_label (UDisksSwapspace *proxy,
                                     const gchar *arg_label,
                                     GVariant *arg_options,
                                     GCancellable *cancellable,
                                     GAsyncReadyCallback callback,
                                     gpointer user_data);

Asynchronously invokes the `SetLabel()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `udisks_swapspace_call_set_label_finish()` to get the result of the operation.

See `udisks_swapspace_call_set_label_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A UDisksSwapspaceProxy. |
arg_label | Argument to pass with the method invocation. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

### udisks_swapspace_call_set_label_finish ()

    gboolean
    udisks_swapspace_call_set_label_finish
                                   (UDisksSwapspace *proxy,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `udisks_swapspace_call_set_label()`.

#### Parameters

proxy | A UDisksSwapspaceProxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_swapspace_call_set_label()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### udisks_swapspace_call_set_label_sync ()

    gboolean
    udisks_swapspace_call_set_label_sync (UDisksSwapspace *proxy,
                                          const gchar *arg_label,
                                          GVariant *arg_options,
                                          GCancellable *cancellable,
                                          GError **error);

Synchronously invokes the `SetLabel()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `udisks_swapspace_call_set_label()` for the asynchronous version of this method.

#### Parameters

proxy | A UDisksSwapspaceProxy. |
arg_label | Argument to pass with the method invocation. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### udisks_swapspace_complete_set_label ()

    void
    udisks_swapspace_complete_set_label (UDisksSwapspace *object,
                                         GDBusMethodInvocation *invocation);

Helper function used in service implementations to finish handling invocations of the `SetLabel()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A UDisksSwapspace. |
invocation | A GDBusMethodInvocation. | [transfer full]

### udisks_swapspace_get_active ()

    gboolean
    udisks_swapspace_get_active (UDisksSwapspace *object);

Gets the value of the "Active" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A UDisksSwapspace. |

#### Returns

The property value.

### udisks_swapspace_set_active ()

    void
    udisks_swapspace_set_active (UDisksSwapspace *object,
                                 gboolean value);

Sets the "Active" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A UDisksSwapspace. |
value | The value to set. |

### udisks_swapspace_proxy_new ()

    void
    udisks_swapspace_proxy_new (GDBusConnection *connection,
                                GDBusProxyFlags flags,
                                const gchar *name,
                                const gchar *object_path,
                                GCancellable *cancellable,
                                GAsyncReadyCallback callback,
                                gpointer user_data);

Asynchronously creates a proxy for the D-Bus interface org.freedesktop.UDisks2.Swapspace. See `g_dbus_proxy_new()` for more details.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `udisks_swapspace_proxy_new_finish()` to get the result of the operation.

See `udisks_swapspace_proxy_new_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [nullable]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

### udisks_swapspace_proxy_new_finish ()

    UDisksSwapspace *
    udisks_swapspace_proxy_new_finish (GAsyncResult *res,
                                       GError **error);

Finishes an operation started with `udisks_swapspace_proxy_new()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_swapspace_proxy_new()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type UDisksSwapspaceProxy]

### udisks_swapspace_proxy_new_sync ()

    UDisksSwapspace *
    udisks_swapspace_proxy_new_sync (GDBusConnection *connection,
                                     GDBusProxyFlags flags,
                                     const gchar *name,
                                     const gchar *object_path,
                                     GCancellable *cancellable,
                                     GError **error);

Synchronously creates a proxy for the D-Bus interface org.freedesktop.UDisks2.Swapspace. See `g_dbus_proxy_new_sync()` for more details.

The calling thread is blocked until a reply is received.

See `udisks_swapspace_proxy_new()` for the asynchronous version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [nullable]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type UDisksSwapspaceProxy]

### udisks_swapspace_proxy_new_for_bus ()

    void
    udisks_swapspace_proxy_new_for_bus (GBusType bus_type,
                                        GDBusProxyFlags flags,
                                        const gchar *name,
                                        const gchar *object_path,
                                        GCancellable *cancellable,
                                        GAsyncReadyCallback callback,
                                        gpointer user_data);

Like `udisks_swapspace_proxy_new()` but takes a GBusType instead of a GDBusConnection.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `udisks_swapspace_proxy_new_for_bus_finish()` to get the result of the operation.

See `udisks_swapspace_proxy_new_for_bus_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

### udisks_swapspace_proxy_new_for_bus_finish ()

    UDisksSwapspace *
    udisks_swapspace_proxy_new_for_bus_finish
                                   (GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `udisks_swapspace_proxy_new_for_bus()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_swapspace_proxy_new_for_bus()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type UDisksSwapspaceProxy]

### udisks_swapspace_proxy_new_for_bus_sync ()

    UDisksSwapspace *
    udisks_swapspace_proxy_new_for_bus_sync
                                   (GBusType bus_type,
                                    GDBusProxyFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GError **error);

Like `udisks_swapspace_proxy_new_sync()` but takes a GBusType instead of a GDBusConnection.

The calling thread is blocked until a reply is received.

See `udisks_swapspace_proxy_new_for_bus()` for the asynchronous version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type UDisksSwapspaceProxy]

### udisks_swapspace_skeleton_new ()

    UDisksSwapspace *
    udisks_swapspace_skeleton_new (void);

Creates a skeleton object for the D-Bus interface org.freedesktop.UDisks2.Swapspace.

#### Returns

The skeleton object.

[transfer full][type UDisksSwapspaceSkeleton]

## Types and Values

### UDisksSwapspace

    typedef struct _UDisksSwapspace UDisksSwapspace;

Abstract interface type for the D-Bus interface org.freedesktop.UDisks2.Swapspace.

### struct UDisksSwapspaceIface

    struct UDisksSwapspaceIface {
      GTypeInterface parent_iface;

      gboolean (*handle_set_label) (
        UDisksSwapspace *object,
        GDBusMethodInvocation *invocation,
        const gchar *arg_label,
        GVariant *arg_options);

      gboolean (*handle_start) (
        UDisksSwapspace *object,
        GDBusMethodInvocation *invocation,
        GVariant *arg_options);

      gboolean (*handle_stop) (
        UDisksSwapspace *object,
        GDBusMethodInvocation *invocation,
        GVariant *arg_options);

      gboolean  (*get_active) (UDisksSwapspace *object);
    };

Virtual table for the D-Bus interface org.freedesktop.UDisks2.Swapspace.

#### Members

GTypeInterface `parent_iface`; | The parent interface. |
`handle_set_label` () | Handler for the “handle-set-label” signal. |
`handle_start` () | Handler for the “handle-start” signal. |
`handle_stop` () | Handler for the “handle-stop” signal. |
`get_active` () | Getter for the “active” property. |

### struct UDisksSwapspaceProxy

    struct UDisksSwapspaceProxy;

The UDisksSwapspaceProxy structure contains only private data and should only be accessed using the provided API.

### struct UDisksSwapspaceProxyClass

    struct UDisksSwapspaceProxyClass {
      GDBusProxyClass parent_class;
    };

Class structure for UDisksSwapspaceProxy.

#### Members

### struct UDisksSwapspaceSkeleton

    struct UDisksSwapspaceSkeleton;

The UDisksSwapspaceSkeleton structure contains only private data and should only be accessed using the provided API.

### struct UDisksSwapspaceSkeletonClass

    struct UDisksSwapspaceSkeletonClass {
      GDBusInterfaceSkeletonClass parent_class;
    };

Class structure for UDisksSwapspaceSkeleton.

#### Members

## Property Details

### The `“active”` property

      “active”                   gboolean

Represents the D-Bus property "Active".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: UDisksSwapspace

Flags: Read / Write

Default value: FALSE

## Signal Details

### The `“handle-set-label”` signal

    gboolean
    user_function (UDisksSwapspace       *object,
                   GDBusMethodInvocation *invocation,
                   char                  *arg_label,
                   GVariant              *arg_options,
                   gpointer               user_data)

Signal emitted when a remote caller is invoking the `SetLabel()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `udisks_swapspace_complete_set_label()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no order signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A UDisksSwapspace. |
invocation | A GDBusMethodInvocation. |
arg_label | Argument passed by remote caller. |
arg_options | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`G_DBUS_METHOD_INVOCATION_HANDLED` or `TRUE` if the invocation was handled, `G_DBUS_METHOD_INVOCATION_UNHANDLED` or `FALSE` to let other signal handlers run.

Flags: Run Last

### The `“handle-start”` signal

    gboolean
    user_function (UDisksSwapspace       *object,
                   GDBusMethodInvocation *invocation,
                   GVariant              *arg_options,
                   gpointer               user_data)

Signal emitted when a remote caller is invoking the `Start()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `udisks_swapspace_complete_start()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no order signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A UDisksSwapspace. |
invocation | A GDBusMethodInvocation. |
arg_options | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`G_DBUS_METHOD_INVOCATION_HANDLED` or `TRUE` if the invocation was handled, `G_DBUS_METHOD_INVOCATION_UNHANDLED` or `FALSE` to let other signal handlers run.

Flags: Run Last

### The `“handle-stop”` signal

    gboolean
    user_function (UDisksSwapspace       *object,
                   GDBusMethodInvocation *invocation,
                   GVariant              *arg_options,
                   gpointer               user_data)

Signal emitted when a remote caller is invoking the `Stop()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `udisks_swapspace_complete_stop()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no order signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A UDisksSwapspace. |
invocation | A GDBusMethodInvocation. |
arg_options | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`G_DBUS_METHOD_INVOCATION_HANDLED` or `TRUE` if the invocation was handled, `G_DBUS_METHOD_INVOCATION_UNHANDLED` or `FALSE` to let other signal handlers run.

Flags: Run Last